context("Generic tests")
test_that("Sanity Checks", {
  #source("csindicators/R/PeriodAccumulation.R")
  expect_error(PeriodAccumulation('x'), "Parameter 'data' must be numeric.")
  expect_equal(PeriodAccumulation(1), 1)
  expect_equal(PeriodAccumulation(1, time_dim = 'x'), 1)
  expect_error(PeriodAccumulation(data = NULL), "Parameter 'data' cannot be NULL.")
  expect_error(PeriodAccumulation(1, dates = '2000-01-01', end = 3, start = 4),
    "Parameter 'start' and 'end' must be lists indicating the day and the month of the period start and end.")
  expect_equal(PeriodAccumulation(1:10), 55)
  data <- array(1:24, c(sdate = 2, time = 3, lon = 4))
  expect_equal(PeriodAccumulation(data),
    array(c(9,12,27,30,45,48,63,66), c(sdate = 2, lon = 4)))

})

